import SwiftUI

@main
struct PDSApp: App {
    @StateObject private var viewModel = PDSViewModel()
    
    init() {
        print("PDSApp: initializing")
    }
    
    var body: some Scene {
        WindowGroup {
            MainAppView()
                .environmentObject(viewModel)
                .onAppear {
                    print("PDSApp: root view appeared")
                }
        }
    }
} 